Skip to main content
GET
List autopilot changes

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string
required

Tenant ID

Query Parameters

cluster_id
string

Only this Kubernetes cluster

workload_id
string

Only this workload resource ID

namespace
string

Only workloads in this namespace

kind
string

Only this change kind (create, resize, vpa_status, vpa_object, nodepool, oom_bump, rollback, skip, pvc_grow)

result
string

Only this result (applied, deferred, infeasible, failed, skipped)

applier
string

Only changes applied by webhook, vpa or operator

from
string

Period start (RFC 3339, inclusive)

to
string

Period end (RFC 3339, exclusive)

limit
integer

Number of rows to return (default 50, max 200)

offset
integer

Rows to skip before returning results (default 0)

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object